<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:backgroundTint="#FFFFFF">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/activityLicht"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#000000"
        tools:context=".activityLicht">

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht1"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp1"
            android:text="@string/tom"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht2"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht2"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp2"
            android:text="@string/wohnzimmer"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht1"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht3"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="sonoff181"
            android:text="@string/stehlampe_wz"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht4"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht1"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht4"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp3"
            android:text="@string/esszimmer"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht3"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht2"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht5"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp4"
            android:text="@string/k_che"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht6"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht3"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht6"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp5"
            android:text="@string/gang"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht5"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht4"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht7"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp6"
            android:text="@string/stiegenhaus"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht8"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht5"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht8"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp7"
            android:text="@string/obergeschoss"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht7"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht6"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht9"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp8"
            android:text="@string/schlafzimmer"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht10"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht7"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht10"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp9"
            android:text="@string/gartentor"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht9"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht8"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht11"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp10"
            android:text="@string/haust_r"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht12"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht9" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht12"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp11"
            android:text="@string/garage"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht11"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht10" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht13"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp12"
            android:text="@string/nachtkastl_tom"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht14"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht11" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht14"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp13"
            android:text="@string/vuduowz_on"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht13"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht12" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht15"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp14"
            android:text="@string/glocke"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht16"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht13" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht16"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="Lamp15"
            android:text="@string/vuduosz_on"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht15"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht14"
            tools:ignore="TextContrastCheck" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht17"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:text="@string/zirkulationspumpe"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht18"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht15" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht18"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:text="@string/pc_flo"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht17"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht16" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht19"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:background="@drawable/button_text_color"
            android:text="@string/skyq"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toStartOf="@+id/buttonLicht20"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht17" />

        <androidx.appcompat.widget.AppCompatButton
            android:id="@+id/buttonLicht20"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:background="@drawable/button_text_color"
            android:tag="sonoff241"
            android:text="@string/licht_flo"
            android:textAllCaps="false"
            android:textColor="#FFFFFF"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/buttonLicht19"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht18"
            tools:ignore="TextContrastCheck" />

        <CheckBox
            android:id="@+id/checkWM1"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:text="@string/wm_tom"
            android:textColor="#FFFFFF"
            android:textSize="18sp"
            app:layout_constraintEnd_toStartOf="@+id/checkWM4"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht19" />

        <CheckBox
            android:id="@+id/checkWM2"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="100dp"
            android:text="@string/wm_flo"
            android:textColor="#FFFFFF"
            android:textSize="18sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/checkWM1" />

        <CheckBox
            android:id="@+id/checkWM3"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="150dp"
            android:text="@string/wm_stefan"
            android:textColor="#FFFFFF"
            android:textSize="18sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/checkWM2" />

        <CheckBox
            android:id="@+id/checkWM4"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="20dp"
            android:text="@string/glocke"
            android:textColor="#FFFFFF"
            android:textSize="18sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/checkWM1"
            app:layout_constraintTop_toBottomOf="@+id/buttonLicht20" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</ScrollView>
